%define upstream_name    B-Hooks-EndOfScope
%define upstream_version 0.12

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Execute code after a scope finished compilation
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/B/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::CBuilder) >= 0.260.0
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(Module::Implementation) >= 0.50.0
BuildRequires: perl(Module::Runtime) >= 0.12.0
BuildRequires: perl(Sub::Exporter::Progressive) >= 0.1.6
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(Variable::Magic) >= 0.480.0
BuildArch:  noarch

%description
This module allows you to execute code when perl finished compiling the
surrounding scope.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Fri Oct 18 2013 umeabot <umeabot> 0.120.0-3.mga4
+ Revision: 509232
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.120.0-2.mga3
+ Revision: 363299
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 jquelin <jquelin> 0.120.0-1.mga3
+ Revision: 341919
- update to 0.12

* Fri Feb 24 2012 jquelin <jquelin> 0.110.0-1.mga2
+ Revision: 213682
- update to 0.11

* Wed Feb 22 2012 kharec <kharec> 0.100.0-1.mga2
+ Revision: 211923
- update to 0.10

* Sat Jan 22 2011 jquelin <jquelin> 0.90.0-1.mga1
+ Revision: 31725
- mageia rebuild
- imported package perl-B-Hooks-EndOfScope


* Tue Jul 13 2010 Jérôme Quelin <jquelin@mandriva.org> 0.90.0-1mdv2011.0
+ Revision: 552258
- update to 0.09

* Tue Jul 28 2009 Jérôme Quelin <jquelin@mandriva.org> 0.80.0-1mdv2010.0
+ Revision: 402062
- rebuild using %%perl_convert_version

* Fri May 01 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.08-1mdv2010.0
+ Revision: 370008
- update to new version 0.08

* Sat Feb 21 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.07-1mdv2009.1
+ Revision: 343669
- update to new version 0.07

* Wed Jan 21 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.06-1mdv2009.1
+ Revision: 332121
- update to new version 0.06

* Mon Jan 05 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.05-1mdv2009.1
+ Revision: 325041
- new version

* Thu Oct 23 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.04-1mdv2009.1
+ Revision: 296792
- import perl-B-Hooks-EndOfScope


* Thu Oct 23 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.04-1mdv2009.1
- initial mdv release, generated with cpan2dist

